Subject: [Sigtran] Query regarding the sequence message delivery functionality in M3UA layer

From: Pradeep Kumar <[email-masked]>
Date: Tue, 26 Jul 2016 18:33:29 +0530

Hi,

I had an query regarding the sequence message delivery functionality in
M3UA layer.

As in the SS7/MTP3 layer there is concept of the controlled re-routing in
case of links status un-availability, the controlled re-routing buffer and
its time controlled procedure ensures that that are messages are delivered
in-sequence.  As explained in the RFC section 8.1.1 of T-REC-Q704 as :

*“**8.1.1 **The objective of the controlled rerouting procedure is to
restore the optimal signalling*

*routing and to minimize mis-sequencing of messages. Therefore, controlled
rerouting includes a*

*time-controlled traffic diversion procedure,” *

Now in case of M3UA the same situation can occur, so do we have an similar
functionality of controlled re-routing available in M3UA/Sigtran as well?

If yes please mentioned the RFC section(I could not find any reference in
RFC on this topic). ?

              IF NO, then what is the reasoning behind not having the
controlled re-routing in M3UA/SIGTRAN? Is it so that we don’t need such
procedures in IP world and what is the reason for it?

Best Regards,

Pradeep Kumar

*“The world needs HQ (Humanity quotient) more than IQ.”*

---

From: Pradeep Kumar <[email-masked]>
Date: Thu, 28 Jul 2016 14:53:11 +0530

Hi,

Can someone help with the below query?

re-posting the text again as:
+++++++++++++++++++

*time-controlled traffic diversion procedure,”*

+++++++++++++++++++

Regards,
Pradeep Kumar

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 28 Jul 2016 12:48:29 -0600

Pradeep,

Please see comments inline...

Pradeep Kumar wrote:                              (Thu, 28 Jul 2016 14:53:11)
>    Â
>    As in the SS7/MTP3 layer there is concept of the controlled re-routing
>    in case of links status un-availability, the controlled re-routing
>    buffer and its time controlled procedure ensures that that are messages
>    are delivered in-sequence.Â  As explained in the RFC section 8.1.1 of
>    T-REC-Q704 as :
> 
>    â8.1.1Â The objective of the controlled rerouting procedure is to
>    restore the optimal signalling
> 
>    routing and to minimize mis-sequencing of messages. Therefore,
>    controlled rerouting includes a
> 
>    time-controlled traffic diversion procedure,â
> 

I believe that force rerouting is performed when a route becomes
unavailable; time-controlled rerouting is performed when a route
is restored.  Nevertheless, these procedures are as applicable
in M3UA as they are in MTP, particularly when the ASP has an AS
connected to multiple SGs acting as STPs in the SS7 network.

> 
>    Now in case of M3UA the same situation can occur, so do we have an
>    similar functionality of controlled re-routing available in
>    M3UA/SigtranÂ as well?Â Â

Because they are not explicitly part of the line protocol for
M3UA, you will not find them discussed in RFC 4666.

>    If yes please mentioned the RFC section(I could not find any reference
>    in RFC on this topic). ?

They were discussed, however, in a draft from 2007:

 http://www.openss7.org/docs/draft-bidulock-sigtran-corid-05.txt

Note that the sequenced changeover procedures in this draft have
not been supported by many implementations; however, the time-
controlled versions of the procedures have been implemented by
most SG as STP and some AS implementations.

>    Â  Â  Â  Â  Â  Â  Â  IF NO, then what is the reasoning behind not
>    having the controlled re-routing in M3UA/SIGTRAN? Is it so that we
>    donât need such procedures in IP world and what is the reason for it?

It is a task to be performed above M3UA layer and that is why
it is not included in the M3UA specifications.

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/